[-]
[+]
|
Added |
tacacs+.changes
|
|
[-]
[+]
|
Changed |
tacacs+.spec
^
|
|
[-]
[+]
|
Deleted |
init.diff
^
|
@@ -1,83 +0,0 @@
-diff -Naur tac_plus.F4.0.4.alpha/tac_plus.init tac_plus.F4.0.4.alpha-PAM-0.4/tac_plus.init
---- tac_plus.F4.0.4.alpha/tac_plus.init Wed Dec 31 19:00:00 1969
-+++ tac_plus.F4.0.4.alpha-PAM-0.4/tac_plus.init Fri Feb 2 18:08:42 2001
-@@ -0,0 +1,79 @@
-+#!/bin/sh
-+#
-+# description: Cisco's tacacs+ access, authorization, and accounting server.
-+# chkconfig: 345 15 85
-+#
-+
-+# Source function library.
-+. /etc/rc.d/init.d/functions
-+
-+# Source networking configuration.
-+. /etc/sysconfig/network
-+
-+# Check that networking is up.
-+[ ${NETWORKING} = "no" ] && exit 0
-+
-+[ -f /usr/local/sbin/tac_plus ] || exit 0
-+
-+[ -f /etc/tacacs/tac_plus.cfg ] || exit 0
-+
-+# ===========================================================================
-+# Normally, only messages at error level or above are written to the log.
-+# To write TACACS+ info messages to the log, this option takes a parameter
-+# based on a sum of the following options:
-+# number information about
-+# 1 general
-+# 2 parsing
-+# 4 forking
-+# 8 authorization
-+# 16 authentication
-+# 32 passwords
-+# 64 accounting
-+# 128 configuration
-+# 256 packet
-+# 512 hex
-+# 1024 md5 hash
-+# 2048 xor
-+# 4096 clean
-+# 8192 subst
-+#
-+# For more information on the various debug flags, see your Cisco manual.
-+
-+DEBUG_LEVEL=255
-+#DEBUG_LEVEL=31
-+# See how we were called.
-+case "$1" in
-+ start)
-+ # Start daemons.
-+ echo -n "Starting tacacs+: "
-+ /usr/local/sbin/tac_plus -C /etc/tacacs/tac_plus.cfg \
-+ -l /var/log/tacacs/tac_plus.log \
-+ -w /var/log/tacacs/tac_plus.who \
-+ -d $DEBUG_LEVEL && \
-+ success || failure
-+ echo
-+ touch /var/lock/subsys/tacacs
-+ ;;
-+ stop)
-+ # Stop daemons.
-+ echo -n "Shutting down tacacs+: "
-+ killproc tac_plus
-+ rm -f /var/lock/subsys/tacacs
-+ echo
-+ ;;
-+ status)
-+ status tac_plus
-+ exit $?
-+ ;;
-+ restart)
-+ $0 stop
-+ $0 start
-+ exit $?
-+ ;;
-+ reload)
-+ kill -USR1 `cat /var/run/tac_plus.pid`
-+ ;;
-+ *)
-+ echo "Usage: tacacs {start|stop|status|restart|reload}"
-+ exit 1
-+esac
|
[-]
[+]
|
Added |
tac_plus.init.rh
^
|
@@ -0,0 +1,68 @@
+#!/bin/bash
+#
+# /etc/rc.d/init.d/tac_plus
+#
+# chkconfig: 2345 86 14
+# description: TACACS+ Daemon
+
+# Define variables
+TACPLUS_PID=/var/run/tac_plus.pid
+TACPLUS_EXE=/usr/bin/tac_plus
+TACPLUS_ARG=""
+TACPLUS_CNF=/etc/tac_plus.conf
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+case "$1" in
+start)
+# Check to see if tac_plus is running.
+if [[ -f ${TACPLUS_PID} || -f /var/lock/subsys/tac_plus ]]; then
+ echo "tac_plus may already be running. Check for existing tac_plus processes."
+ exit 1
+fi
+echo -n "Starting tac_plus:"
+$TACPLUS_EXE $TACPLUS_ARG -C $TACPLUS_CNF && success || failure
+echo
+touch /var/lock/subsys/tac_plus
+;;
+stop)
+if [[ -f ${TACPLUS_PID} && -f /var/lock/subsys/tac_plus ]]; then
+ echo -n "Stopping tac_plus:"
+ killproc -p ${TACPLUS_PID}
+ echo
+ rm -f /var/lock/subsys/tac_plus
+ rm -f ${TACPLUS_PID}
+else
+ echo "tac_plus does not appear to be running."
+fi
+;;
+status)
+if [[ -f ${TACPLUS_PID} && -f /var/lock/subsys/tac_plus ]]; then
+ echo "tac_plus pid is `cat ${TACPLUS_PID}`"
+else
+ echo "tac_plus does not appear to be running."
+fi
+;;
+restart)
+$0 stop; $0 start
+;;
+reload)
+echo -n "Reloading tac_plus..."
+if [[ -f ${TACPLUS_PID} && -f /var/lock/subsys/tac_plus ]]; then
+ kill -HUP `cat ${TACPLUS_PID}`
+ RETVAL=$?
+fi
+if [ $RETVAL -ne 0 ]; then
+ failure
+else
+ success
+fi
+echo
+
+;;
+*)
+echo "Usage: $0 {start|stop|status|reload|restart}"
+exit 1
+;;
+esac
|
|
Deleted |
tacacs+-F4.0.4.19.tar.gz
^
|
|
Changed |
tacacs+-F4.0.4.26.tar.gz
^
|